> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get volume mounts by project ID

> Get volume and snapshot mounts by project ID and optional data plane ID or volume ID



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /remotefs/v1/rpc/get-volume-mounts
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/rpc/get-volume-mounts:
    post:
      tags:
        - NetApp Volumes
      summary: Get volume mounts by project ID
      description: >-
        Get volume and snapshot mounts by project ID and optional data plane ID
        or volume ID
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/data-remotefs-service_server.ListVolumeMountsRequest
        description: Filters to apply to returned volume mounts
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/data-remotefs-service_remotefs.VolumeMount
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_server.ListVolumeMountsRequest:
      type: object
      required:
        - projectIds
      properties:
        dataPlaneIds:
          items:
            type: string
          type: array
        projectIds:
          items:
            type: string
          type: array
        volumeIds:
          items:
            type: string
          type: array
    data-remotefs-service_remotefs.VolumeMount:
      type: object
      required:
        - canUserWrite
        - latestSnapshotTagSubPaths
        - name
        - persistentVolumeClaimName
        - snapshotSubPath
        - subPath
        - volumeId
      properties:
        canUserWrite:
          type: boolean
        latestSnapshotTagSubPaths:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-remotefs-service_remotefs.SnapshotTagSubPath
        name:
          type: string
        persistentVolumeClaimName:
          type: string
        snapshotSubPath:
          type: string
        subPath:
          type: string
        volumeId:
          type: string
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.SnapshotTagSubPath:
      type: object
      required:
        - subPath
        - tagName
      properties:
        subPath:
          type: string
        tagName:
          type: string

````

## Related topics

- [Get volume by ID](/6.3/api-reference/netapp-volumes/get-volume-by-id.md)
- [Get snapshot by volume ID and snapshot version](/6.3/api-reference/netapp-volumes-snapshots/get-snapshot-by-volume-id-and-snapshot-version.md)
- [The python-domino library](/6.3/reference/python-sdk/python-domino.md)
- [Get grants by Volume ID](/6.3/api-reference/netapp-volumes/get-grants-by-volume-id.md)
